//
//  helpViewController.h
//  scummvm
//
//  Created by DotEmu on 18/05/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//
#import <AVFoundation/AVFoundation.h>
#import <UIKit/UIKit.h>

@interface helpViewController : UIViewController<UIWebViewDelegate, UIScrollViewDelegate>
{
	//actions
	IBOutlet UIButton* m_menu;
	IBOutlet UIButton* m_prevState;
	IBOutlet UIButton* m_nextState;
	int etatNext;
	
	//background
	IBOutlet UIImageView* _layer;
	UIImageView* fondV;	
	UIImage* fond;
	
	//sound
	AVAudioPlayer* menuSFXPlayer;
	
	//PAGE ZERO
	bool loadPage0;
	NSTimer* autoscrollTimer;
	IBOutlet UIScrollView* scroll;
	IBOutlet UIWebView * generalWebV;
	IBOutlet UIActivityIndicatorView * activityIndicatorGWV;
	
	//PAGE ONE
	UIImageView* interfaceV;
	UIImageView* markV;
	/*UITextView* T1;
	UITextView* T2;	
	UITextView* T3;
	UITextView* T4;*/	
	
	//PAGE ONE BIS
	UIImageView* I1;
	UIImageView* I2;
	UIImageView* I3;
	UIImageView* I4;	
	UITextView* TOpenMenu;	
	UITextView* TMenu;
	UITextView* THints;	
	UITextView* TFlag;	
	
	//PAGE ONE TRES
	UIImageView* I5;
	UIImageView* I6;	
	UITextView* TGobliins;	
	UITextView* TInventory;
	
	//PAGE TWO
	UITextView* Theader;
	UITextView* Ttouch;	
	UITextView* Tcursor;
	
	//PAGES THREE
	UITextView* Tdetails;
	
	//PAGE FOUR
	UIImageView* icon1V;
	UIImageView* icon2V;
	UIImageView* icon3V;
	UIImageView* icon4V;	
	UITextView* TSac;
	UITextView* THotspot;	
	UITextView* TPas;
	UITextView* TPorte;	
	
	bool bWarning;
}

-(IBAction) menuClicked:(id)sender;
-(IBAction) nextClicked:(id)sender;
-(IBAction) prevClicked:(id)sender;

-(void) loadBackground:(NSString*)background;
-(void) loadPageZero;
-(void) loadPageOne;
-(void) loadPageTwo;
-(void) loadPageThree;
-(void) loadPageSix;
-(void) removeBackground;
-(void) removePageZero;
-(void) removePageOne;
-(void) removePageTwo;
-(void) removePageThree;
-(void) removePageSix;

@end
